### Method

# St Widget get_style

#### Declaration [src]

    const gchar*
    st_widget_get_style (
      StWidget* actor
    )

#### Description [src]

Get the current inline style string. See st_widget_set_style().

Gets property | `St.Widget:style`

#### Return value

Type: `const gchar*`

The inline style string, or `NULL`. The string is owned by the `StWidget` and should not be modified or freed.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.